BitmapRenderingSettings (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.bitmap

## Class BitmapRenderingSettings

- java.lang.Object
- - org.apache.fop.render.java2d.Java2DRenderingSettings
  - - org.apache.fop.render.bitmap.BitmapRenderingSettings

-     public class BitmapRenderingSettings
      extends Java2DRenderingSettings

  This class holds settings used when rendering to bitmaps.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitmapRenderingSettings()` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBufferedImageType()` Returns the BufferedImage type.
    `java.lang.String` | `getCompressionMethod()` Returns the compression method being used by the image writer.
    `org.apache.xmlgraphics.image.writer.ImageWriterParams` | `getWriterParams()` Returns the image writer parameters used for encoding the bitmap images.
    `boolean` | `isAntiAliasingEnabled()` Indicates whether anti-aliasing is enabled.
    `boolean` | `isQualityRenderingEnabled()` Indicates whether quality rendering is enabled.
    `void` | `setAntiAliasing(boolean value)` Enables or disables anti-aliasing.
    `void` | `setBufferedImageType(int bufferedImageType)` Sets the type of the BufferedImage to use when preparing a new instance.
    `void` | `setCompressionMethod(java.lang.String compressionMethod)` Sets the compression method for the image writer.
    `void` | `setQualityRendering(boolean quality)` Controls whether to optimize rendering for speed or for quality.
    `void` | `setResolution(int dpi)` Sets the resolution of the output image.

    - ### Methods inherited from class org.apache.fop.render.java2d.Java2DRenderingSettings

      `getPageBackgroundColor, hasTransparentPageBackground, setPageBackgroundColor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitmapRenderingSettings

          public BitmapRenderingSettings()

      Default constructor. Initializes the settings to their default values.

  - ### Method Detail

    - #### getWriterParams

          public org.apache.xmlgraphics.image.writer.ImageWriterParams getWriterParams()

      Returns the image writer parameters used for encoding the bitmap images.
      Returns:
        the image writer parameters

    - #### getBufferedImageType

          public int getBufferedImageType()

      Returns the BufferedImage type.
      Returns:
        one of BufferedImage.TYPE_*

    - #### setBufferedImageType

          public void setBufferedImageType(int bufferedImageType)

      Sets the type of the BufferedImage to use when preparing a new instance.
      Parameters:
        `bufferedImageType` - a BufferImage.TYPE_* value

    - #### setAntiAliasing

          public void setAntiAliasing(boolean value)

      Enables or disables anti-aliasing.
      Parameters:
        `value` - true to enable anti-aliasing

    - #### isAntiAliasingEnabled

          public boolean isAntiAliasingEnabled()

      Indicates whether anti-aliasing is enabled.
      Returns:
        true if anti-aliasing is enabled

    - #### setQualityRendering

          public void setQualityRendering(boolean quality)

      Controls whether to optimize rendering for speed or for quality.
      Parameters:
        `quality` - true to optimize for quality, false to optimize for speed

    - #### isQualityRenderingEnabled

          public boolean isQualityRenderingEnabled()

      Indicates whether quality rendering is enabled.
      Returns:
        true indicates optimization for quality, false indicates optimization for speed

    - #### setCompressionMethod

          public void setCompressionMethod(java.lang.String compressionMethod)

      Sets the compression method for the image writer.
      Parameters:
        `compressionMethod` - the compression method name

    - #### getCompressionMethod

          public java.lang.String getCompressionMethod()

      Returns the compression method being used by the image writer.
      Returns:
        the compression method in use

    - #### setResolution

          public void setResolution(int dpi)

      Sets the resolution of the output image.
      Parameters:
        `dpi` - the dots-per-inch of the image

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.